%define api_version 1.1
%define lib_major 0
%define lib_name %mklibname gnet-%{api_version}_ %{lib_major}

Summary: Libgnet, a network library
Name: libgnet
Version: 1.1.9
Release: 1mdk
License: LGPL
Group: System/Libraries
Source: http://www.gnetlibrary.org/src/gnet-%{version}.tar.bz2
URL: http://gnetlibrary.org/
BuildRequires:	glib2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot


%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

%package -n %{lib_name}
Summary: Libgnet, a network library
Group: System/Libraries
Provides: libgnet1 = %{version}-%{release}
Obsoletes: libgnet1
Provides: libgnet1.1 = %{version}-%{release}
Obsoletes: libgnet1.1

%description -n %{lib_name}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

%package -n %{lib_name}-devel
Summary: Header files for the Gnet library
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-%{api_version}-devel = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Provides: libgnet1-devel = %{version}-%{release}
Obsoletes: libgnet1-devel
Provides: libgnet1.1-devel = %{version}-%{release}
Obsoletes: libgnet1.1-devel

%description -n %{lib_name}-devel
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.
This package allows you to develop applications that use the Gnet
library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gnet-%{version} -q
chmod 755 doc/html


%build

%configure2_5x --enable-glib2
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgnet%{api_version}-dev


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING doc/html
%{_includedir}/gnet
%{_bindir}/*
%{_datadir}/aclocal/*
%{_mandir}/man1/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/gnet
%{_libdir}/*.so
%{_libdir}/pkgconfig/gnet.pc


%changelog
* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.9-1mdk
- Release 1.1.9
- fix libification
- mklibnamification

* Wed Jul 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.8-2mdk
- rebuild for new devel provides

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-1mdk
- Release 1.1.8
- Force compilation with glib 2.x

* Tue Aug 13 2002 Laurent Culioli <laurent@pschit.net> 1.1.4-2mdk
- fix stupid configure which thinks we are cross-compiling 
  thus used to putting %{_target_platform}- as program prefix

* Tue Aug 13 2002 Laurent Culioli <laurent@pschit.net> 1.1.4-1mdk
- Release 1.1.4
- Drop patch0
- clean specfile
 
* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.0-5mdk
- libtoolize --copy --force to make this build.

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-4mdk
- BuildRequires:	glib-devel

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-3mdk
- Release 1.1.0
- Update major number

* Wed Apr 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-3mdk
- correct URL
- Recompiled against latest glib

* Thu Nov 16 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.4-2mdk
- add provides to dev package

* Mon Oct 30 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.4-1mdk
- Up to 1.0.4
- Put auconf macro and gnetconfig binarie in devel package
- make compliant with new mandrake lib policy
- add dependencie on dev package
- Patch configure for gnet.h found gnetconfig.h in /usr/lib

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-4mdk
- Change devel doc to devel package

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-3mdk
- change name
- Rebuild for next release

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-2mdk
- macros
- BM

* Tue Jul  4 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.3-1mdk
- First mdk release
- Mandrake adaptation
- Clean spec file

* Mon Feb 28 2000 David Helder <dhelder@umich.edu>
- Updated for version 1.0

* Sat Jan 15 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- Moved lib*.so and lib*a to the devel package
- Creation of a gnet.spec.in for autoconf process

* Wed Jan 14 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- HTML documentation has been move to /usr/doc/gnet-{version}/html

* Thu Jan 13 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- First try at an RPM
